org.jfree.chart.block

## Class BlockParams

- java.lang.Object
- - org.jfree.chart.block.BlockParams

All Implemented Interfaces:
  EntityBlockParams

    public class BlockParams
    extends java.lang.Object
    implements EntityBlockParams

A standard parameter object that can be passed to the draw() method defined by the `Block` class.

### Constructor Summary

Constructors
Constructor and Description
`BlockParams()` Creates a new instance.

### Method Summary

Methods
`boolean` `getGenerateEntities()` Returns the flag that controls whether or not chart entities are generated.
`double` `getTranslateX()` Returns the translation required to convert local x-coordinates back to the coordinate space of the container.
`double` `getTranslateY()` Returns the translation required to convert local y-coordinates back to the coordinate space of the container.
`void` `setGenerateEntities(boolean generate)` Sets the flag that controls whether or not chart entities are generated.
`void` `setTranslateX(double x)` Sets the translation required to convert local x-coordinates into the coordinate space of the container.
`void` `setTranslateY(double y)` Sets the translation required to convert local y-coordinates into the coordinate space of the container.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlockParams

    public BlockParams()

Creates a new instance.

### Method Detail

#### getGenerateEntities

    public boolean getGenerateEntities()

Returns the flag that controls whether or not chart entities are generated.

Specified by:
  `getGenerateEntities` in interface `EntityBlockParams`
Returns:
  A boolean.

#### setGenerateEntities

    public void setGenerateEntities(boolean generate)

Sets the flag that controls whether or not chart entities are generated.

Parameters:
  `generate` - the flag.

#### getTranslateX

    public double getTranslateX()

Returns the translation required to convert local x-coordinates back to the coordinate space of the container.

Returns:
  The x-translation amount.

#### setTranslateX

    public void setTranslateX(double x)

Sets the translation required to convert local x-coordinates into the coordinate space of the container.

Parameters:
  `x` - the x-translation amount.

#### getTranslateY

    public double getTranslateY()

Returns the translation required to convert local y-coordinates back to the coordinate space of the container.

Returns:
  The y-translation amount.

#### setTranslateY

    public void setTranslateY(double y)

Sets the translation required to convert local y-coordinates into the coordinate space of the container.

Parameters:
  `y` - the y-translation amount.